Skip to main content
`Ctrl`+`K`

# KSPCGType

Determines what type of `KSPCG` to use

## Synopsis

    typedef enum {
      KSP_CG_SYMMETRIC = 0,
      KSP_CG_HERMITIAN = 1
    } KSPCGType;

## Values

- `KSP_CG_SYMMETRIC` - the matrix is complex symmetric

- `KSP_CG_HERMITIAN` - the matrix is complex Hermitian

## See Also

KSP: Linear System Solvers, `KSPCG`, `KSP`, `KSPCGSetType()`

## Level

beginner

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages